import { Component, OnInit } from '@angular/core';
import { CommonService } from 'src/app/hmg-common/services/common/common.service';
import { ModalController } from '@ionic/angular';
import { TranslatorService } from 'src/app/hmg-common/services/translator/translator.service';

@Component({
  selector: 'app-submit-absence-modal',
  templateUrl: './submit-absence-modal.component.html',
  styleUrls: ['./submit-absence-modal.component.scss'],
})
export class SubmitAbsenceModalComponent implements OnInit {
  submitAbsAttachmentList: any = [];
  absComments: string;
  constructor( public ts: TranslatorService, private modalCtrl: ModalController, private cs: CommonService){
    this.submitAbsAttachmentList = this.cs.sharedService.getSharedData('submitAbsAttachmentList', false);
    this.absComments = this.cs.sharedService.getSharedData('absComments', false);
  }

  ngOnInit() {
    console.log("modal");
    //this.actionBtns = this.cs.sharedService.getSharedData("passActionMore" , false);
    console.log("modal");

  }
  closeModal() {
    this.modalCtrl.dismiss();
  }


  OkBtnModal() {
      let data = "ok";
      this.modalCtrl.dismiss(data);
    }

}

